//
//  LinkVRTCEngine.m
//  iOS_Zego
//
//  Created by Wing on 2020/8/4.
//  Copyright © 2020 Wing. All rights reserved.
//

#import "LinkVRTCEngine.h"
//#import "ZegoLive.h"
#import "LVRTCLive.h"

@implementation LinkVRTCEngine

+ (instancetype)createEngine:(SDKType)type
                       appId:(NSString *)appId
                      appKey:(NSString *)appKey
                   isTestEnv:(BOOL)isTestEnv
          isInternationalEnv:(BOOL)isInternationalEnv
                    delegate:(id<RTCCallbackDelegate>)delegate {
    
    if (type == SDK_TYPE_ZEGO) {
//        ZegoLive *live = [ZegoLive new];
//        [live setDelegate:delegate];
//        [live initSDK:appId appKey:appKey isTestEnv:isTestEnv];
//        return live;
    } else if (type == SDK_TYPE_LVRTC) {
        LVRTCLive *live = [LVRTCLive new];
        [live setDelegate:delegate];
        [live initSDK:appId appKey:appKey isTestEnv:isTestEnv isInternationalEnv:isInternationalEnv];
        return live;
    } else {
        NSAssert(false, @"不支持的SDK");
    }
    
    return nil;
}


@end
