
import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';
/// 大小等同于父控件的大小，一般使用Container包起来 例如：
/// Container(
//    width: 300,
//    height: 200,
//  )
/// @pram uid 用户id
/// @pram isLocalPreview 是否本地预览，否为拉流
class LinkVVideoWidget extends StatelessWidget {

  LinkVVideoWidget({this.uid, this.isLocalPreview});

  final String uid;
  final bool isLocalPreview;

  @override
  Widget build(BuildContext context) {
    if (uid == null || uid.length == 0) return Container();
    if (defaultTargetPlatform == TargetPlatform.android) {
      return AndroidView(
        // 在Native中视图的唯一标识，需要与Native侧值相同
        viewType: "surface",
        // 传递给Native侧初始化视图时的参数
        creationParams: <String, dynamic>{"uid": uid, "isLocalPreview": isLocalPreview},
        // 用来编码 creationParams 的形式，可选 [StandardMessageCodec], [JSONMessageCodec], [StringCodec], or [BinaryCodec]
        // 如果存在 creationParams，则该值不能为null
        creationParamsCodec: const StandardMessageCodec(),
      );
    } else if (defaultTargetPlatform == TargetPlatform.iOS) {
      return UiKitView(
        viewType: "surface",
        creationParams: <String, dynamic>{"uid": uid, "isLocalPreview": isLocalPreview},
        creationParamsCodec: const StandardMessageCodec(),
      );
    } else {
      return Text("不支持的平台");
    }
  }
}